Package org.eclipse.graphiti.palette

# Interface ICreationToolEntry

All Superinterfaces:
  `IPaletteEntry`, `IToolEntry`

All Known Subinterfaces:
  `IConnectionCreationToolEntry`, `IObjectCreationToolEntry`

All Known Implementing Classes:
  `AbstractPaletteToolEntry`, `ConnectionCreationToolEntry`, `ObjectCreationToolEntry`

public interface ICreationToolEntry extends IToolEntry
The Interface ICreationToolEntry.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Gets the description.
`String`
`getLargeIconId()`
Gets the large icon id.

### Methods inherited from interface org.eclipse.graphiti.palette.IPaletteEntry

`getIconId, getLabel`

## Method Details

### getDescription

String getDescription()
Gets the description.

Returns:
  the description

### getLargeIconId

String getLargeIconId()
Gets the large icon id.

Returns:
  the large icon id